/*----------------------------------------------------------------------------

  nproto.h:

  This file contains prototype declations for NCP

  Copyright (c) 1990-1994 Raima Corporation.  All Rights Reserved.

----------------------------------------------------------------------------*/

/* *_as.c ---------------------------------*/

void *	REXTERNAL AllocMesgBuf(
   size_t Size
);

short REXTERNAL GetmesgStat(
    void
);

short  REXTERNAL BlkRecMesg(
    char *clientPkt,
    struct clientData *clientList,
    short ShutdownRequested,
    struct serverSet *servInfo
);
short  REXTERNAL RecMesg(
    char *clientPkt,
    struct clientData *clientList,
    short ShutdownRequested,
    struct serverSet *servInfo
);
short  REXTERNAL RepMesg(
    char *returnPkt,
    short   clientTskID,
    short   pktSize,
    struct clientData *clientList
);
void REXTERNAL ProcessObituary(
    short TaskID
);
void REXTERNAL ShutDown(
    void
);
short  REXTERNAL RegServer(
    struct serverSet *servPtr
);
short  REXTERNAL RegClient(
    short  clientTskID,
    struct clientData *clientList
);
void REXTERNAL GetUserName(
    char *clientName
);
/*
$Header:   P:/PAT/INCLUDE/VCS/NPROTO.H_V   1.2   18 Apr 1994 12:10:22   RICHM  $
*/
